# contactDelete

Delete a contact

**Scope required:** standard:write

```graphql
mutation contactDelete ($id: ID!, $code: String!) {
  contactDelete (id: $id, code: $code) {
      contact {
        accountId
        code
        createdAt
        customFieldsData
        description
        email
        entityId
        firstName
        fullName
        hasCustomFields
        id
        lastName
        linkedinUrl
        mailingCity
        mailingCountry
        mailingState
        mailingStreet
        mailingZip
        mobile
        phone
        portalAccess
        salutation
        title
        updatedAt
      }
      errors
  }
}
```

## Arguments

```json
{
  "id": "456123",
  "code": ""
}
```

| Name | Type   | Description |
| ---- | ------ | ----------- |
| id   | ID     |             |
| code | String |             |

## Response

| Name    | Type                                                 | Description |
| ------- | ---------------------------------------------------- | ----------- |
| contact | [Contact](/developer/api-reference/types/contact.md) |             |
| errors  | String                                               |             |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bunny.com/developer/using-the-graphql-api/mutations/contactdelete.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
